import Controller from "wms-core/Controller";
import {Request, Response} from "express";

export default class HomeController extends Controller {
    routes(): void {
        this.get('/', this.getHome, 'home');
        this.get('/about', this.getAbout, 'about');
        this.get('/back', this.goBack, 'about');
    }

    private async getHome(req: Request, res: Response) {
        res.render('home');
    }

    private async getAbout(req: Request, res: Response) {
        res.render('about');
    }

    /**
     * This is to test and assert that wms-core extended types are available
     */
    private async goBack(req: Request, res: Response) {
        res.redirectBack();
    }
}